Надо адаптировать плагин на SM 1.7

Тема в разделе "Запросы", создана пользователем Алексей Кашура, 15 фев 2015.

  1. Алексей Кашура

    Алексей Кашура

    Сообщения:
    15
    Симпатии:
    1
    Здравствуйте. Нужна помощь с адаптацией одного плагина на SM 1.7
    Проблема в том, что на SM 1.6.3 такой ошибки не было.
    Вот сам плагин:
    Пишет ошибки при компиляции:
    Код:
    --------------------------------------------
    Building l4dmultislots.sp ...
    --------------------------------------------
    SourcePawn Compiler 1.7.1-dev+5151
    Copyright (c) 1997-2006 ITB CompuPhase
    Copyright (c) 2004-2014 AlliedModders LLC
    
    l4dmultislots.sp(840) : error 157: 'int' is a reserved keyword
    l4dmultislots.sp(845) : error 003: declaration of a local variable must appear in a compound block
    l4dmultislots.sp(845) : error 001: expected token: "-identifier-", but found "++"
    l4dmultislots.sp(845) : error 029: invalid expression, assumed zero
    l4dmultislots.sp(845) : fatal error 187: too many error messages on one line
    
    Compilation aborted.
    5 Errors.
    Calling makefile_l4dmultislots.bat
    --------------------------------------------
    Built l4dmultislots.sp as .smx
    --------------------------------------------
    Заранее благодарен за помощь
     

    Вложения:

    Последнее редактирование: 21 фев 2015
  2. komashchenko

    komashchenko

    Сообщения:
    479
    Симпатии:
    421
    Держи
     

    Вложения:

    Алексей Кашура нравится это.